Bug 19285 - REGRESSION(r34143?): Frequent crash while browsing
Summary: REGRESSION(r34143?): Frequent crash while browsing
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.4
: P1 Critical
Assignee: Maciej Stachowiak
URL:
Keywords: InRadar, NeedsReduction, Regression
: 19298 19302 19304 19330 (view as bug list)
Depends on:
Blocks:
 
Reported: 2008-05-28 01:07 PDT by kumozaru209
Modified: 2008-06-06 15:53 PDT (History)
8 users (show)

See Also:


Attachments
speculative (but likely) fix (6.38 KB, patch)
2008-05-30 00:09 PDT, Maciej Stachowiak
no flags Details | Formatted Diff | Diff
a more thorough fix (8.96 KB, patch)
2008-05-30 21:42 PDT, Maciej Stachowiak
oliver: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description kumozaru209 2008-05-28 01:07:06 PDT
When the homepage botton is pushed in displaying Gmail, Webkit is crashed.

Date/Time:      2008-05-28 16:55:31.999 +0900
OS Version:     10.4.11 (Build 8S165)
Report Version: 4

Command: Safari
Path:    /Applications/Safari.app/Contents/MacOS/Safari
Parent:  WindowServer [66]

Version: r34153 (34153)

PID:    1486
Thread: 0

Exception:  EXC_BAD_ACCESS (0x0001)
Codes:      KERN_INVALID_ADDRESS (0x0001) at 0x0a8407b8

Thread 0 Crashed:
0   com.apple.WebCore              	0x01661824 WebCore::JSDOMWindowBase::~JSDOMWindowBase [not-in-charge]() + 68
1   com.apple.JavaScriptCore       	0x005222ac unsigned long KJS::Collector::sweep<(KJS::Collector::HeapType)0>(bool) + 428
2   com.apple.JavaScriptCore       	0x0047792c KJS::Collector::collect() + 636
3   com.apple.WebCore              	0x011d6e6c WebCore::GCController::gcTimerFired(WebCore::Timer<WebCore::GCController>*) + 28
4   com.apple.WebCore              	0x015c1de4 WebCore::TimerBase::fireTimers(double, WTF::Vector<WebCore::TimerBase*, (unsigned long)0> const&) + 180
5   com.apple.WebCore              	0x015c1e90 WebCore::TimerBase::sharedTimerFired() + 112
6   com.apple.WebCore              	0x015a497c WebCore::timerFired(__CFRunLoopTimer*, void*) + 76
7   com.apple.CoreFoundation       	0x907f2370 __CFRunLoopDoTimer + 184
8   com.apple.CoreFoundation       	0x907dece8 __CFRunLoopRun + 1680
9   com.apple.CoreFoundation       	0x907de29c CFRunLoopRunSpecific + 268
10  com.apple.HIToolbox            	0x932aeb20 RunCurrentEventLoopInMode + 264
11  com.apple.HIToolbox            	0x932ae1b4 ReceiveNextEventCommon + 380
12  com.apple.HIToolbox            	0x932ae020 BlockUntilNextEventMatchingListInMode + 96
13  com.apple.AppKit               	0x93793874 _DPSNextEvent + 384
14  com.apple.AppKit               	0x93793538 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 116
15  com.apple.Safari               	0x00007930 0x1000 + 26928
16  com.apple.AppKit               	0x9378fa7c -[NSApplication run] + 472
17  com.apple.AppKit               	0x93880598 NSApplicationMain + 452
18  com.apple.Safari               	0x000b717c 0x1000 + 745852
19  com.apple.Safari               	0x000b6e80 0x1000 + 745088

Thread 1:
0   libSystem.B.dylib              	0x9000b348 mach_msg_trap + 8
1   libSystem.B.dylib              	0x9000b29c mach_msg + 60
2   libSystem.B.dylib              	0x90074064 thread_suspend + 88
3   <<00000000>> 	0x005dce68 0 + 6147688

Thread 2:
0   libSystem.B.dylib              	0x9002c3c8 semaphore_wait_signal_trap + 8
1   libSystem.B.dylib              	0x90030eac pthread_cond_wait + 480
2   com.apple.Foundation           	0x92bfd284 -[NSConditionLock lockWhenCondition:] + 68
3   com.apple.AppKit               	0x93830498 -[NSUIHeartBeat _heartBeatThread:] + 324
4   com.apple.Foundation           	0x92bf6118 forkThreadForFunction + 108
5   libSystem.B.dylib              	0x9002bd08 _pthread_body + 96

Thread 3:
0   libSystem.B.dylib              	0x9002c3c8 semaphore_wait_signal_trap + 8
1   libSystem.B.dylib              	0x90030eac pthread_cond_wait + 480
2   com.apple.WebCore              	0x016c5e1c WebCore::LocalStorageThread::localStorageThread() + 124
3   libSystem.B.dylib              	0x9002bd08 _pthread_body + 96

Thread 4:
0   libSystem.B.dylib              	0x9000b348 mach_msg_trap + 8
1   libSystem.B.dylib              	0x9000b29c mach_msg + 60
2   com.apple.CoreFoundation       	0x907de998 __CFRunLoopRun + 832
3   com.apple.CoreFoundation       	0x907de29c CFRunLoopRunSpecific + 268
4   com.apple.Foundation           	0x92c1e7bc +[NSURLCache _diskCacheSyncLoop:] + 152
5   com.apple.Foundation           	0x92bf6118 forkThreadForFunction + 108
6   libSystem.B.dylib              	0x9002bd08 _pthread_body + 96

Thread 5:
0   libSystem.B.dylib              	0x9000b348 mach_msg_trap + 8
1   libSystem.B.dylib              	0x9000b29c mach_msg + 60
2   com.apple.CoreFoundation       	0x907de998 __CFRunLoopRun + 832
3   com.apple.CoreFoundation       	0x907de29c CFRunLoopRunSpecific + 268
4   com.apple.Foundation           	0x92c1d67c +[NSURLConnection(NSURLConnectionInternal) _resourceLoadLoop:] + 264
5   com.apple.Foundation           	0x92bf6118 forkThreadForFunction + 108
6   libSystem.B.dylib              	0x9002bd08 _pthread_body + 96

Thread 6:
0   libSystem.B.dylib              	0x9002c3c8 semaphore_wait_signal_trap + 8
1   libSystem.B.dylib              	0x90030eac pthread_cond_wait + 480
2   com.apple.Foundation           	0x92bfd284 -[NSConditionLock lockWhenCondition:] + 68
3   com.apple.Syndication          	0x9aa4742c -[AsyncDB _run:] + 192
4   com.apple.Foundation           	0x92bf6118 forkThreadForFunction + 108
5   libSystem.B.dylib              	0x9002bd08 _pthread_body + 96

Thread 7:
0   libSystem.B.dylib              	0x9001f88c select + 12
1   com.apple.CoreFoundation       	0x907f122c __CFSocketManager + 472
2   libSystem.B.dylib              	0x9002bd08 _pthread_body + 96

Thread 8:
0   libSystem.B.dylib              	0x9000b348 mach_msg_trap + 8
1   libSystem.B.dylib              	0x9000b29c mach_msg + 60
2   ...romedia.Flash Player.plugin 	0x08ffd444 native_ShockwaveFlash_TCallFrame + 2292772
3   libSystem.B.dylib              	0x9002bd08 _pthread_body + 96

Thread 9:
0   libSystem.B.dylib              	0x9002c3c8 semaphore_wait_signal_trap + 8
1   libSystem.B.dylib              	0x90030eac pthread_cond_wait + 480
2   ...ple.CoreServices.CarbonCore 	0x90c024b0 MPWaitOnSemaphore + 184
3   ...romedia.Flash Player.plugin 	0x08d8076c Flash_EnforceLocalSecurity + 1192672
4   ...romedia.Flash Player.plugin 	0x08eb9a28 native_ShockwaveFlash_TCallFrame + 967176
5   ...romedia.Flash Player.plugin 	0x08d805dc Flash_EnforceLocalSecurity + 1192272
6   ...romedia.Flash Player.plugin 	0x08d805a4 Flash_EnforceLocalSecurity + 1192216
7   ...ple.CoreServices.CarbonCore 	0x90bc4794 PrivateMPEntryPoint + 76
8   libSystem.B.dylib              	0x9002bd08 _pthread_body + 96

Thread 10:
0   libSystem.B.dylib              	0x9000b348 mach_msg_trap + 8
1   libSystem.B.dylib              	0x9000b29c mach_msg + 60
2   com.apple.CoreFoundation       	0x907de998 __CFRunLoopRun + 832
3   com.apple.CoreFoundation       	0x907de29c CFRunLoopRunSpecific + 268
4   com.apple.Foundation           	0x92c050e4 -[NSRunLoop runMode:beforeDate:] + 172
5   com.apple.Foundation           	0x92c0501c -[NSRunLoop run] + 76
6   com.apple.Safari               	0x0005ca8c 0x1000 + 375436
7   com.apple.Foundation           	0x92bf6118 forkThreadForFunction + 108
8   libSystem.B.dylib              	0x9002bd08 _pthread_body + 96

Thread 0 crashed with PPC Thread State 64:
  srr0: 0x0000000001661824 srr1: 0x000000000000f030                        vrsave: 0x00000000fff00000
    cr: 0x44024224          xer: 0x0000000000000007   lr: 0x00000000016617f0  ctr: 0x00000000012bfec0
    r0: 0x00000000005222ac   r1: 0x00000000bfffe430   r2: 0x000000000a8407a0   r3: 0x00000000bfffe480
    r4: 0x0000000000000048   r5: 0x00000000bfffe468   r6: 0x000000000000005c   r7: 0x00000000000000f0
    r8: 0x00000000000000a1   r9: 0x000000000b365e70  r10: 0x00000000012bfec8  r11: 0x0000000000000001
   r12: 0x00000000012bfec0  r13: 0x000000000e2ffee8  r14: 0x0000000000592110  r15: 0x00000000a0001fe4
   r16: 0x0000000000000014  r17: 0x0000000000000005  r18: 0x0000000000000005  r19: 0x0000000000582110
   r20: 0x0000000000000001  r21: 0x0000000000001618  r22: 0x0000000000000000  r23: 0x000000000e2f2be0
   r24: 0x0000000000000123  r25: 0x000000000e300000  r26: 0x000000000e2f2c00  r27: 0x000000000e2f2c1c
   r28: 0x000000000e2f2c00  r29: 0x0000000000000160  r30: 0x0000000000002c00  r31: 0x00000000016617f0

Binary Images Description:
    0x1000 -   0x138fff com.apple.Safari 3.1.1 (4525.18)	/Applications/Safari.app/Contents/MacOS/Safari
  0x170000 -   0x171fff WebKitNightlyEnabler.dylib 	/Users/koba/Applications/WebKit.app/Contents/Resources/WebKitNightlyEnabler.dylib
  0x305000 -   0x3d6fff com.apple.WebKit 526.9+	/Users/koba/Applications/WebKit.app/Contents/Frameworks/10.4/WebKit.framework/Versions/A/WebKit
  0x464000 -   0x57afff com.apple.JavaScriptCore 526.9+	/Users/koba/Applications/WebKit.app/Contents/Frameworks/10.4/JavaScriptCore.framework/Versions/A/JavaScriptCore
  0x77c000 -   0x77dfff com.ecamm.pluginloader Ecamm Plugin Loader v1.0.1 (1.0.1)	/Library/InputManagers/Ecamm/Ecamm Plugin Loader.bundle/Contents/MacOS/Ecamm Plugin Loader
 0x1008000 -  0x17f7fff com.apple.WebCore 526.9+	/Users/koba/Applications/WebKit.app/Contents/Frameworks/10.4/WebCore.framework/Versions/A/WebCore
 0x1e4d000 -  0x1e56fff com.ecamm.downloadcomment v1.1 (1.1)	/Library/InputManagers/Ecamm/Plugins/DownloadComment.plugin/Contents/MacOS/DownloadComment
 0x1e67000 -  0x1e6efff com.unsanity.smartcrashreports Smart Crash Reports version 1.2.1 (1.2.1)	/Users/koba/Library/InputManagers/Smart Crash Reports/Smart Crash Reports.bundle/Contents/MacOS/Smart Crash Reports
 0x1fa0000 -  0x1fa1fff uk.co.markallan.clamxav.ScanWithClamXav ??? (1.0)	/Users/koba/Library/Contextual Menu Items/ScanWithClamXav.plugin/Contents/MacOS/ScanWithClamXav
 0x42eb000 -  0x42edfff com.apple.AutomatorCMM 1.0.1 (88.2)	/System/Library/Contextual Menu Items/AutomatorCMM.plugin/Contents/MacOS/AutomatorCMM
 0x432b000 -  0x432bfff com.apple.SpotLightCM 1.0 (121.20.2)	/System/Library/Contextual Menu Items/SpotlightCM.plugin/Contents/MacOS/SpotlightCM
 0x7286000 -  0x72adfff jp.co.justsystem.atok18.macosx.component 18.0.0	/Library/Components/ATOK18.component/Contents/MacOS/ATOK18
 0x733e000 -  0x7351fff com.finderpop.fp-patch 2.1.2	/Users/koba/Library/PreferencePanes/FinderPop.prefPane/Contents/Resources/finderpop-daemon.app/Contents/Resources/fp-patch.bundle/Contents/MacOS/fp-patch
 0x766d000 -  0x767efff com.apple.Tokenizer_ja 1.0.1	/System/Library/CoreServices/Tokenizers/ja.tokenizer/Contents/MacOS/ja
 0x76fa000 -  0x76fefff jp.ne.wind.miko.AmCopyPathCMX 2.0	/Users/koba/Library/Contextual Menu Items/AmCopyPathCMX.plugin/Contents/MacOS/AmCopyPathCMX
 0x779f000 -  0x77a1fff com.lemkesoft.GraphicConverterCMI 1.5 (1.6)	/Users/koba/Library/Contextual Menu Items/GraphicConverterCMI.plugin/Contents/MacOS/GraphicConverterCMI
 0x77ab000 -  0x77affff com.apple.FolderActionsMenu 1.3	/System/Library/Contextual Menu Items/FolderActionsMenu.plugin/Contents/MacOS/FolderActionsMenu
 0x7bba000 -  0x7bbbfff com.jilef.SearchJCM 1.0	/Users/koba/Library/Contextual Menu Items/SearchJCM.plugin/Contents/MacOS/SearchJCM
 0x7bd4000 -  0x7be3fff com.apple.airport.diskmenu 1.5 (150.1)	/System/Library/Contextual Menu Items/AirPort Disk Menu.plugin/Contents/MacOS/AirPort Disk Menu
 0x8c59000 -  0x9078fff com.macromedia.Flash Player.plugin 9.0.124.0 (1.0.1f23)	/Library/Internet Plug-Ins/Flash Player.plugin/Contents/MacOS/Flash Player
0x8fe00000 - 0x8fe52fff dyld 46.16	/usr/lib/dyld
0x90000000 - 0x901bcfff libSystem.B.dylib 	/usr/lib/libSystem.B.dylib
0x90214000 - 0x90219fff libmathCommon.A.dylib 	/usr/lib/system/libmathCommon.A.dylib
0x9021b000 - 0x90268fff com.apple.CoreText 1.0.4 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x90293000 - 0x90344fff ATS 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x90373000 - 0x9072efff com.apple.CoreGraphics 1.258.77 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x907bb000 - 0x90895fff com.apple.CoreFoundation 6.4.10 (368.33)	/System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x908de000 - 0x908defff com.apple.CoreServices 10.4 (???)	/System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x908e0000 - 0x909e2fff libicucore.A.dylib 	/usr/lib/libicucore.A.dylib
0x90a3c000 - 0x90ac0fff libobjc.A.dylib 	/usr/lib/libobjc.A.dylib
0x90aea000 - 0x90b5afff com.apple.framework.IOKit 1.4 (???)	/System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x90b70000 - 0x90b82fff libauto.dylib 	/usr/lib/libauto.dylib
0x90b89000 - 0x90e60fff com.apple.CoreServices.CarbonCore 681.17	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x90ec6000 - 0x90f46fff com.apple.CoreServices.OSServices 4.1	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x90f90000 - 0x90fd2fff com.apple.CFNetwork 129.22 (129.23)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x90fe7000 - 0x90ffffff com.apple.WebServices 1.1.2 (1.1.0)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/WebServicesCore.framework/Versions/A/WebServicesCore
0x9100f000 - 0x91090fff com.apple.SearchKit 1.0.7	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x910d6000 - 0x91100fff com.apple.Metadata 10.4.4 (121.36)	/System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x91111000 - 0x9111ffff libz.1.dylib 	/usr/lib/libz.1.dylib
0x91122000 - 0x912ddfff com.apple.security 4.6 (29770)	/System/Library/Frameworks/Security.framework/Versions/A/Security
0x913dc000 - 0x913e5fff com.apple.DiskArbitration 2.1.2	/System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x913ec000 - 0x913f4fff libbsm.dylib 	/usr/lib/libbsm.dylib
0x913f8000 - 0x91420fff com.apple.SystemConfiguration 1.8.3	/System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x91433000 - 0x9143efff libgcc_s.1.dylib 	/usr/lib/libgcc_s.1.dylib
0x91443000 - 0x914befff com.apple.audio.CoreAudio 3.0.5	/System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x914fb000 - 0x914fbfff com.apple.ApplicationServices 10.4 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x914fd000 - 0x91535fff com.apple.AE 1.5 (297)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x91550000 - 0x91622fff com.apple.ColorSync 4.4.10	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x91675000 - 0x91706fff com.apple.print.framework.PrintCore 4.6 (177.13)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x9174d000 - 0x91804fff com.apple.QD 3.10.25 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x91841000 - 0x9189ffff com.apple.HIServices 1.5.3 (???)	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x918ce000 - 0x918f2fff com.apple.LangAnalysis 1.6.1	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x91906000 - 0x9192bfff com.apple.FindByContent 1.5	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/FindByContent.framework/Versions/A/FindByContent
0x9193e000 - 0x91980fff com.apple.LaunchServices 182	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x9199c000 - 0x919b0fff com.apple.speech.synthesis.framework 3.3	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x919be000 - 0x91a04fff com.apple.ImageIO.framework 1.5.6	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x91a1b000 - 0x91ae2fff libcrypto.0.9.7.dylib 	/usr/lib/libcrypto.0.9.7.dylib
0x91b30000 - 0x91b45fff libcups.2.dylib 	/usr/lib/libcups.2.dylib
0x91b4a000 - 0x91b68fff libJPEG.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x91b6e000 - 0x91c25fff libJP2.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJP2.dylib
0x91c74000 - 0x91c78fff libGIF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x91c7a000 - 0x91ce4fff libRaw.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRaw.dylib
0x91ce9000 - 0x91d26fff libTIFF.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x91d2d000 - 0x91d47fff libPng.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x91d4c000 - 0x91d4ffff libRadiance.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x91d51000 - 0x91e3ffff libxml2.2.dylib 	/usr/lib/libxml2.2.dylib
0x91e5e000 - 0x91e5efff com.apple.Accelerate 1.2.2 (Accelerate 1.2.2)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x91e60000 - 0x91f45fff com.apple.vImage 2.4	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x91f4d000 - 0x91f6cfff com.apple.Accelerate.vecLib 3.2.2 (vecLib 3.2.2)	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x91fd8000 - 0x92046fff libvMisc.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x92051000 - 0x920e6fff libvDSP.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x92100000 - 0x92688fff libBLAS.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x926bb000 - 0x929e6fff libLAPACK.dylib 	/System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x92a16000 - 0x92b04fff libiconv.2.dylib 	/usr/lib/libiconv.2.dylib
0x92b07000 - 0x92b8ffff com.apple.DesktopServices 1.3.7	/System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x92bd0000 - 0x92dfbfff com.apple.Foundation 6.4.10 (567.37)	/System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92f28000 - 0x92f46fff libGL.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x92f51000 - 0x92fabfff libGLU.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x92fc9000 - 0x92fc9fff com.apple.Carbon 10.4 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x92fcb000 - 0x92fdffff com.apple.ImageCapture 3.0	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x92ff7000 - 0x93007fff com.apple.speech.recognition.framework 3.4	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x93013000 - 0x93028fff com.apple.securityhi 2.0 (203)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x9303a000 - 0x930c1fff com.apple.ink.framework 101.2 (69)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x930d5000 - 0x930e0fff com.apple.help 1.0.3 (32)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x930ea000 - 0x93117fff com.apple.openscripting 1.2.5 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x93131000 - 0x93141fff com.apple.print.framework.Print 5.0 (190.1)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x9314d000 - 0x931b3fff com.apple.htmlrendering 1.1.2	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x931e4000 - 0x93233fff com.apple.NavigationServices 3.4.4 (3.4.3)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x93261000 - 0x9327efff com.apple.audio.SoundManager 3.9	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x93290000 - 0x9329dfff com.apple.CommonPanels 1.2.2 (73)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x932a6000 - 0x935b4fff com.apple.HIToolbox 1.4.10 (???)	/System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x93704000 - 0x93710fff com.apple.opengl 1.4.7	/System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x93715000 - 0x93735fff com.apple.DirectoryService.Framework 3.1	/System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x93789000 - 0x93789fff com.apple.Cocoa 6.4 (???)	/System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x9378b000 - 0x93dbefff com.apple.AppKit 6.4.10 (824.45)	/System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x9414b000 - 0x941bdfff com.apple.CoreData 91 (92.1)	/System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x941f6000 - 0x942bbfff com.apple.audio.toolbox.AudioToolbox 1.4.7	/System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0x9430e000 - 0x9430efff com.apple.audio.units.AudioUnit 1.4	/System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x94310000 - 0x944d0fff com.apple.QuartzCore 1.4.12	/System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x9451a000 - 0x94557fff libsqlite3.0.dylib 	/usr/lib/libsqlite3.0.dylib
0x9455f000 - 0x945affff libGLImage.dylib 	/System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x945b8000 - 0x945d2fff com.apple.CoreVideo 1.4.2	/System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x945e3000 - 0x94603fff libmx.A.dylib 	/usr/lib/libmx.A.dylib
0x94691000 - 0x946c9fff com.apple.vmutils 4.0.0 (85)	/System/Library/PrivateFrameworks/vmutils.framework/Versions/A/vmutils
0x9470e000 - 0x9472afff com.apple.securityfoundation 2.2 (27710)	/System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x9473e000 - 0x94782fff com.apple.securityinterface 2.2 (27692)	/System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x947a6000 - 0x947b5fff libCGATS.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x947bd000 - 0x947c9fff libCSync.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x9480f000 - 0x94827fff libRIP.A.dylib 	/System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x9482e000 - 0x94b58fff com.apple.QuickTime 7.4.5 (67)	/System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x94c3f000 - 0x94cb0fff libstdc++.6.dylib 	/usr/lib/libstdc++.6.dylib
0x94e25000 - 0x94f55fff com.apple.AddressBook.framework 4.0.6 (490)	/System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x94fe8000 - 0x94ff7fff com.apple.DSObjCWrappers.Framework 1.1	/System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x94fff000 - 0x9502cfff com.apple.LDAPFramework 1.4.1 (69.0.1)	/System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x95033000 - 0x95043fff libsasl2.2.dylib 	/usr/lib/libsasl2.2.dylib
0x95047000 - 0x95076fff libssl.0.9.7.dylib 	/usr/lib/libssl.0.9.7.dylib
0x95086000 - 0x950a3fff libresolv.9.dylib 	/usr/lib/libresolv.9.dylib
0x96c25000 - 0x96c3bfff libJapaneseConverter.dylib 	/System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0x96c3d000 - 0x96c5dfff libKoreanConverter.dylib 	/System/Library/CoreServices/Encodings/libKoreanConverter.dylib
0x96c6b000 - 0x96c79fff libSimplifiedChineseConverter.dylib 	/System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib
0x96c81000 - 0x96c94fff libTraditionalChineseConverter.dylib 	/System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib
0x96d65000 - 0x96d69fff com.apple.LanguageAnalysisCore 1.0.2	/System/Library/PrivateFrameworks/LanguageAnalysisCore.framework/Versions/A/LanguageAnalysisCore
0x97e72000 - 0x97e7ffff com.apple.agl 2.5.6 (AGL-2.5.6)	/System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x9aa44000 - 0x9aa7afff com.apple.Syndication 1.0.7 (55)	/System/Library/PrivateFrameworks/Syndication.framework/Versions/A/Syndication
0x9aa97000 - 0x9aaa9fff com.apple.SyndicationUI 1.0.7 (55)	/System/Library/PrivateFrameworks/SyndicationUI.framework/Versions/A/SyndicationUI

Model: PowerBook5,2, BootROM 4.7.1f1, 1 processors, PowerPC G4  (1.1), 1.25 GHz, 1 GB
Graphics: ATI Mobility Radeon 9600, ATY,RV350M10, AGP, 64 MB
Memory Module: SODIMM0/J25LOWER, 512 MB, DDR SDRAM, PC2700U-25330
Memory Module: SODIMM1/J25UPPER, 512 MB, DDR SDRAM, PC2700U-25330
AirPort: AirPort Extreme, 405.1 (3.90.34.0.p18)
Modem: LastDash, UCJ, V.92, 4.0, APPLE VERSION 2.6.6
Bluetooth: Version 1.9.5f4, 2 service, 1 devices, 1 incoming serial ports
Network Service: internal Ethernet, Ethernet, en0
Network Service: AirMac, AirPort, en1
PCI Card: TXN,PCIXXXX-00, cardbus, PC Card
Parallel ATA Device: MATSHITACD-RW  CW-8122
Parallel ATA Device: Hitachi IC25N060ATMR04-0, 55.89 GB
USB Device: Bluetooth USB Host Controller, Apple, Inc., Up to 12 Mb/sec, 500 mA
Comment 1 Mark Rowe (bdash) 2008-05-28 15:05:22 PDT
*** Bug 19298 has been marked as a duplicate of this bug. ***
Comment 2 Mark Rowe (bdash) 2008-05-28 15:10:14 PDT
We don't have steps to reproduce, but this is being seen by many different people.
Comment 3 Matt Lilek 2008-05-28 20:07:40 PDT
I just hit this in a debug build:

Thread 0 Crashed:
0   com.apple.WebCore             	0x02adc1a7 WebCore::JSDOMWindowShell::clearFormerWindow(WebCore::JSDOMWindow*) + 9 (JSDOMWindowShell.h:81)
1   com.apple.WebCore             	0x02ad3cad WebCore::JSDOMWindowBase::~JSDOMWindowBase() + 73
2   com.apple.WebCore             	0x026e6626 WebCore::JSDOMWindow::~JSDOMWindow() + 38
3   com.apple.JavaScriptCore      	0x004902ec unsigned long KJS::Collector::sweep<(KJS::Collector::HeapType)0>(bool) + 760
4   com.apple.JavaScriptCore      	0x004412fc KJS::Collector::collect() + 382 (collector.cpp:960)
5   com.apple.WebCore             	0x025e854c WebCore::GCController::gcTimerFired(WebCore::Timer<WebCore::GCController>*) + 22 (GCController.cpp:71)
6   com.apple.WebCore             	0x025e8801 WebCore::Timer<WebCore::GCController>::fired() + 89 (Timer.h:99)
7   com.apple.WebCore             	0x02a16124 WebCore::TimerBase::fireTimers(double, WTF::Vector<WebCore::TimerBase*, 0ul> const&) + 198 (Timer.cpp:350)
8   com.apple.WebCore             	0x02a161cc WebCore::TimerBase::sharedTimerFired() + 110 (Timer.cpp:370)
9   com.apple.WebCore             	0x029efec4 WebCore::timerFired(__CFRunLoopTimer*, void*) + 78 (SharedTimerMac.mm:85)
10  com.apple.CoreFoundation      	0x93266b3e CFRunLoopRunSpecific + 4494
11  com.apple.CoreFoundation      	0x93266cf8 CFRunLoopRunInMode + 88
12  com.apple.HIToolbox           	0x91d8ada4 RunCurrentEventLoopInMode + 283
13  com.apple.HIToolbox           	0x91d8abbd ReceiveNextEventCommon + 374
14  com.apple.HIToolbox           	0x91d8aa31 BlockUntilNextEventMatchingListInMode + 106
15  com.apple.AppKit              	0x95e3f505 _DPSNextEvent + 657
16  com.apple.AppKit              	0x95e3edb8 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
17  com.apple.Safari              	0x000086be 0x1000 + 30398
18  com.apple.AppKit              	0x95e37df3 -[NSApplication run] + 795
19  com.apple.AppKit              	0x95e05030 NSApplicationMain + 574
20  com.apple.Safari              	0x000ba4d6 0x1000 + 758998
Comment 4 Mark Rowe (bdash) 2008-05-28 20:13:12 PDT
I mentioned this to Maciej this afternoon, and it sounded like he had a theory on what is happening here.
Comment 5 Mark Rowe (bdash) 2008-05-28 20:13:24 PDT
<rdar://problem/5970372>
Comment 6 Matt Lilek 2008-05-29 08:23:03 PDT
*** Bug 19304 has been marked as a duplicate of this bug. ***
Comment 7 Matt Lilek 2008-05-29 08:23:21 PDT
*** Bug 19302 has been marked as a duplicate of this bug. ***
Comment 8 Mark Rowe (bdash) 2008-05-29 15:06:55 PDT
I believe this is caused by <http://trac.webkit.org/changeset/34143>.
Comment 9 Maciej Stachowiak 2008-05-30 00:09:32 PDT
Created attachment 21426 [details]
speculative (but likely) fix
Comment 10 Alexey Proskuryakov 2008-05-30 00:55:00 PDT
Comment on attachment 21426 [details]
speculative (but likely) fix

r=me
Comment 11 Maciej Stachowiak 2008-05-30 01:18:04 PDT
Landed what I think is a fix, but I could be wrong.
Comment 12 Yahya Arrassi 2008-05-30 02:33:36 PDT
They're less frequent, but I still have crashes on Facebook... This time Crashreport is a bit different:

Process:         Safari [8186]
Path:            /Applications/WebKit.app/Contents/MacOS/WebKit
Identifier:      org.webkit.nightly.WebKit
Version:         r34257 (34257)
Code Type:       X86 (Native)
Parent Process:  launchd [200]

Date/Time:       2008-05-30 11:28:06.766 +0200
OS Version:      Mac OS X 10.5.3 (9D34)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x000000000000029c
Crashed Thread:  0

Thread 0 Crashed:
0   com.apple.WebCore             	0x0114d43b WTF::HashTableIterator<WebCore::JSDOMWindow*, WebCore::JSDOMWindow*, WTF::IdentityExtractor<WebCore::JSDOMWindow*>, WTF::PtrHash<WebCore::JSDOMWindow*>, WTF::HashTraits<WebCore::JSDOMWindow*>, WTF::HashTraits<WebCore::JSDOMWindow*> > WTF::HashTable<WebCore::JSDOMWindow*, WebCore::JSDOMWindow*, WTF::IdentityExtractor<WebCore::JSDOMWindow*>, WTF::PtrHash<WebCore::JSDOMWindow*>, WTF::HashTraits<WebCore::JSDOMWindow*>, WTF::HashTraits<WebCore::JSDOMWindow*> >::find<WebCore::JSDOMWindow*, WTF::IdentityHashTranslator<WebCore::JSDOMWindow*, WebCore::JSDOMWindow*, WTF::PtrHash<WebCore::JSDOMWindow*> > >(WebCore::JSDOMWindow* const&) + 11
1   com.apple.WebCore             	0x0119286b WebCore::JSDOMWindowBase::~JSDOMWindowBase() + 91
2   com.apple.JavaScriptCore      	0x003b2508 unsigned long KJS::Collector::sweep<(KJS::Collector::HeapType)0>(bool) + 200
3   com.apple.JavaScriptCore      	0x0031ae18 KJS::Collector::collect() + 440
4   com.apple.WebCore             	0x00d7a0c5 WebCore::GCController::gcTimerFired(WebCore::Timer<WebCore::GCController>*) + 21
5   com.apple.WebCore             	0x00d7a282 WebCore::Timer<WebCore::GCController>::fired() + 82
6   com.apple.WebCore             	0x01102b89 WebCore::TimerBase::fireTimers(double, WTF::Vector<WebCore::TimerBase*, 0ul> const&) + 137
7   com.apple.WebCore             	0x01102c52 WebCore::TimerBase::sharedTimerFired() + 162
8   com.apple.WebCore             	0x010e8344 WebCore::timerFired(__CFRunLoopTimer*, void*) + 68
9   com.apple.CoreFoundation      	0x95a02b3e CFRunLoopRunSpecific + 4494
10  com.apple.CoreFoundation      	0x95a02cf8 CFRunLoopRunInMode + 88
11  com.apple.HIToolbox           	0x95b94da4 RunCurrentEventLoopInMode + 283
12  com.apple.HIToolbox           	0x95b94bbd ReceiveNextEventCommon + 374
13  com.apple.HIToolbox           	0x95b94a31 BlockUntilNextEventMatchingListInMode + 106
14  com.apple.AppKit              	0x9453a505 _DPSNextEvent + 657
15  com.apple.AppKit              	0x94539db8 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
16  com.apple.Safari              	0x000086be 0x1000 + 30398
17  com.apple.AppKit              	0x94532df3 -[NSApplication run] + 795
18  com.apple.AppKit              	0x94500030 NSApplicationMain + 574
19  com.apple.Safari              	0x000ba4d6 0x1000 + 758998

Thread 1:
0   libSystem.B.dylib             	0x9399868e __semwait_signal + 10
1   libSystem.B.dylib             	0x939c336d pthread_cond_wait$UNIX2003 + 73
2   com.apple.WebCore             	0x00df192f WebCore::IconDatabase::syncThreadMainLoop() + 239
3   com.apple.WebCore             	0x00df1a45 WebCore::IconDatabase::iconDatabaseSyncThread() + 181
4   libSystem.B.dylib             	0x939c26f5 _pthread_start + 321
5   libSystem.B.dylib             	0x939c25b2 thread_start + 34

Thread 2:
0   libSystem.B.dylib             	0x939914a6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x93998c9c mach_msg + 72
2   com.apple.CoreFoundation      	0x95a020be CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x95a02cf8 CFRunLoopRunInMode + 88
4   com.apple.CFNetwork           	0x93ebfafe CFURLCacheWorkerThread(void*) + 396
5   libSystem.B.dylib             	0x939c26f5 _pthread_start + 321
6   libSystem.B.dylib             	0x939c25b2 thread_start + 34

Thread 3:
0   libSystem.B.dylib             	0x939914a6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x93998c9c mach_msg + 72
2   com.apple.CoreFoundation      	0x95a020be CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x95a02cf8 CFRunLoopRunInMode + 88
4   com.apple.Foundation          	0x9277b460 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 320
5   com.apple.Foundation          	0x92717f1d -[NSThread main] + 45
6   com.apple.Foundation          	0x92717ac4 __NSThread__main__ + 308
7   libSystem.B.dylib             	0x939c26f5 _pthread_start + 321
8   libSystem.B.dylib             	0x939c25b2 thread_start + 34

Thread 4:
0   libSystem.B.dylib             	0x939e15e2 select$DARWIN_EXTSN + 10
1   libSystem.B.dylib             	0x939c26f5 _pthread_start + 321
2   libSystem.B.dylib             	0x939c25b2 thread_start + 34

Thread 5:
0   libSystem.B.dylib             	0x939914a6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x93998c9c mach_msg + 72
2   com.apple.CoreFoundation      	0x95a020be CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x95a02cf8 CFRunLoopRunInMode + 88
4   com.apple.audio.CoreAudio     	0x95ae0464 HALRunLoop::OwnThread(void*) + 160
5   com.apple.audio.CoreAudio     	0x95ae0300 CAPThread::Entry(CAPThread*) + 96
6   libSystem.B.dylib             	0x939c26f5 _pthread_start + 321
7   libSystem.B.dylib             	0x939c25b2 thread_start + 34

Thread 6:
0   libSystem.B.dylib             	0x939914a6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x93998c9c mach_msg + 72
2   ....audio_hijack_server.hermes	0x0047e554 ah_serv_loop + 109
3   libSystem.B.dylib             	0x939c26f5 _pthread_start + 321
4   libSystem.B.dylib             	0x939c25b2 thread_start + 34

Thread 7:
0   libSystem.B.dylib             	0x939914a6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x93998c9c mach_msg + 72
2   ...romedia.Flash Player.plugin	0x1258b959 memcopy_mmx + 709497
3   libSystem.B.dylib             	0x939c26f5 _pthread_start + 321
4   libSystem.B.dylib             	0x939c25b2 thread_start + 34

Thread 8:
0   libSystem.B.dylib             	0x939914ee semaphore_wait_signal_trap + 10
1   libSystem.B.dylib             	0x939c3866 _pthread_cond_wait + 1267
2   libSystem.B.dylib             	0x93a09371 pthread_cond_wait + 48
3   ...romedia.Flash Player.plugin	0x12452928 0x120c0000 + 3746088
4   ...romedia.Flash Player.plugin	0x1248a230 Flash_EnforceLocalSecurity + 125000
5   ...romedia.Flash Player.plugin	0x12452bd2 0x120c0000 + 3746770
6   libSystem.B.dylib             	0x939c26f5 _pthread_start + 321
7   libSystem.B.dylib             	0x939c25b2 thread_start + 34

Thread 9:
0   libSystem.B.dylib             	0x939914ee semaphore_wait_signal_trap + 10
1   libSystem.B.dylib             	0x939c3866 _pthread_cond_wait + 1267
2   libSystem.B.dylib             	0x93a09371 pthread_cond_wait + 48
3   ...romedia.Flash Player.plugin	0x12452928 0x120c0000 + 3746088
4   ...romedia.Flash Player.plugin	0x1248a230 Flash_EnforceLocalSecurity + 125000
5   ...romedia.Flash Player.plugin	0x12452bd2 0x120c0000 + 3746770
6   libSystem.B.dylib             	0x939c26f5 _pthread_start + 321
7   libSystem.B.dylib             	0x939c25b2 thread_start + 34

Thread 10:
0   libSystem.B.dylib             	0x93991506 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x939c384f _pthread_cond_wait + 1244
2   libSystem.B.dylib             	0x939c50d3 pthread_cond_timedwait_relative_np + 47
3   com.apple.audio.CoreAudio     	0x95aefa47 CAGuard::WaitFor(unsigned long long) + 213
4   com.apple.audio.CoreAudio     	0x95af1602 CAGuard::WaitUntil(unsigned long long) + 70
5   com.apple.audio.CoreAudio     	0x95aefda7 HP_IOThread::WorkLoop() + 759
6   com.apple.audio.CoreAudio     	0x95aefaab HP_IOThread::ThreadEntry(HP_IOThread*) + 17
7   com.apple.audio.CoreAudio     	0x95ae0300 CAPThread::Entry(CAPThread*) + 96
8   libSystem.B.dylib             	0x939c26f5 _pthread_start + 321
9   libSystem.B.dylib             	0x939c25b2 thread_start + 34

Thread 11:
0   libSystem.B.dylib             	0x93991506 semaphore_timedwait_signal_trap + 10
1   libSystem.B.dylib             	0x939c384f _pthread_cond_wait + 1244
2   libSystem.B.dylib             	0x939c50d3 pthread_cond_timedwait_relative_np + 47
3   ...ple.CoreServices.CarbonCore	0x91a092fe TSWaitOnConditionTimedRelative + 246
4   ...ple.CoreServices.CarbonCore	0x91a090de TSWaitOnSemaphoreCommon + 422
5   ...ple.CoreServices.CarbonCore	0x91a39e28 TimerThread + 74
6   libSystem.B.dylib             	0x939c26f5 _pthread_start + 321
7   libSystem.B.dylib             	0x939c25b2 thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x0000029c  ebx: 0x0119281b  ecx: 0x00e4e865  edx: 0x0000029c
  edi: 0x00000254  esi: 0x00000298  ebp: 0xbfffe778  esp: 0xbfffe764
   ss: 0x0000001f  efl: 0x00010292  eip: 0x0114d43b   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
  cr2: 0x0000029c

Binary Images:
    0x1000 -   0x133fef  com.apple.Safari 3.1.1 (5525.20) <4869cc1f3ee39145836097e9470d9036> /Applications/Safari.app/Contents/MacOS/Safari
  0x187000 -   0x188ffc +WebKitNightlyEnabler.dylib ??? (???) /Applications/WebKit.app/Contents/Resources/WebKitNightlyEnabler.dylib
  0x18d000 -   0x257fef  com.apple.WebKit 527+ (527+) /Applications/WebKit.app/Contents/Frameworks/10.5/WebKit.framework/Versions/A/WebKit
  0x2ec000 -   0x2fbff8  SyndicationUI ??? (???) <edde0133829971dbd8a0f3473cdb85fc> /System/Library/PrivateFrameworks/SyndicationUI.framework/Versions/A/SyndicationUI
  0x30b000 -   0x401ff7  com.apple.JavaScriptCore 527+ (527+) /Applications/WebKit.app/Contents/Frameworks/10.5/JavaScriptCore.framework/Versions/A/JavaScriptCore
  0x47b000 -   0x486fff +com.rogueamoeba.audio_hijack_server.hermes 2.0.3 (2.0.3) /usr/local/hermes/modules/Instant Hijack Server.hermesmodule/Contents/MacOS/Instant Hijack Server
  0xbca000 -  0x1316fff  com.apple.WebCore 527+ (527+) /Applications/WebKit.app/Contents/Frameworks/10.5/WebCore.framework/Versions/A/WebCore
 0xaac3000 -  0xabcdfef  com.apple.RawCamera.bundle 2.0.5 (2.0.5) /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
 0xbc02000 -  0xbc07ff3  libCGXCoreImage.A.dylib ??? (???) <32265ec157db98a33c5dcf0e6687dec2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
 0xbcee000 -  0xbceeffe  com.apple.JavaPluginCocoa 12.0.0 (12.0.0) <02a9f23a8bfc902c32ac0adfb66d6816> /Library/Internet Plug-Ins/JavaPluginCocoa.bundle/Contents/MacOS/JavaPluginCocoa
 0xf7e9000 -  0xf7f0ffd  com.apple.JavaVM 12.0.2 (12.0.2) <44b9536fe4d7c7fcb3506adb695a180f> /System/Library/Frameworks/JavaVM.framework/Versions/A/JavaVM
0x120c0000 - 0x126c0ffb +com.macromedia.Flash Player.plugin 9.0.124 (1.0.4f60) <8355dcf076564b6784c517fd0eccb2f2> /Library/Internet Plug-Ins/Flash Player.plugin/Contents/MacOS/Flash Player
0x12801000 - 0x12820fed  com.apple.audio.CoreAudioKit 1.5 (1.5) <82f2e52c502db7f3b32349a54209a0fe> /System/Library/Frameworks/CoreAudioKit.framework/Versions/A/CoreAudioKit
0x138ee000 - 0x138f1fff  com.apple.LiveType.component 2.1.2 (2.1.2) /Library/QuickTime/LiveType.component/Contents/MacOS/LiveType
0x138f6000 - 0x1395bffe  com.apple.LiveType.framework 2.1.2 (2.1.2) /System/Library/PrivateFrameworks/LiveType.framework/Versions/A/LiveType
0x1397b000 - 0x139edfff +com.DivXInc.DivXDecoder 6.4.0 (6.4.0) /Library/QuickTime/DivX Decoder.component/Contents/MacOS/DivX Decoder
0x13c69000 - 0x13c6aff3  ATSHI.dylib ??? (???) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/Resources/ATSHI.dylib
0x147ea000 - 0x147ebffd  com.apple.BluetoothMenu 2.1 (2.1f17) /System/Library/Contextual Menu Items/BluetoothContextualMenu.plugin/Contents/MacOS/BluetoothContextualMenu
0x1483d000 - 0x14840fff  com.apple.audio.AudioIPCPlugIn 1.0.4 (1.0.4) <9ce6f675ce724b0ba4e78323b79cf95c> /System/Library/Extensions/AudioIPCDriver.kext/Contents/Resources/AudioIPCPlugIn.bundle/Contents/MacOS/AudioIPCPlugIn
0x14846000 - 0x1484bfff  com.apple.audio.AppleHDAHALPlugIn 1.5.7 (1.5.7a24) /System/Library/Extensions/AppleHDA.kext/Contents/PlugIns/AppleHDAHALPlugIn.bundle/Contents/MacOS/AppleHDAHALPlugIn
0x14860000 - 0x14862ffe  com.apple.AutomatorCMM 1.1 (160) <650079fd95a57e8131e79409a00b2aed> /System/Library/Contextual Menu Items/AutomatorCMM.plugin/Contents/MacOS/AutomatorCMM
0x14a2e000 - 0x14a3fffe  com.apple.security.dotmacdl 2.0 (29745) <5689f0ee5b2a52aa64f3072adfe628ac> /System/Library/Security/dotmacdl.bundle/Contents/MacOS/dotmacdl
0x14ab3000 - 0x14ab6fff  com.apple.BezelServicesFW 1.4.832 (1.4.832) /System/Library/PrivateFrameworks/BezelServices.framework/Versions/A/BezelServices
0x14abd000 - 0x14ac2fff  com.apple.FolderActionsMenu 1.3.2 (1.3.2) <9ba69ef0bec96264a79fa28b3a5f058b> /System/Library/Contextual Menu Items/FolderActionsMenu.plugin/Contents/MacOS/FolderActionsMenu
0x14acd000 - 0x14adbfeb  libSimplifiedChineseConverter.dylib ??? (???) <548d5a699dbe2bb8fcc8275321fdc0d4> /System/Library/CoreServices/Encodings/libSimplifiedChineseConverter.dylib
0x14ae0000 - 0x14af2fff  libTraditionalChineseConverter.dylib ??? (???) <89ec94121ef50601dc538548caae57fc> /System/Library/CoreServices/Encodings/libTraditionalChineseConverter.dylib
0x14b4a000 - 0x14b59ffe  com.apple.security.ldapdl 2.0 (30174) <bc3846986e1cab7f4f70a66d8a452ba3> /System/Library/Security/ldapdl.bundle/Contents/MacOS/ldapdl
0x15a33000 - 0x15a39fcb +com.roxio.ToastItPlugin ToastIt 1.1.2 (build 17) (1.1.2) /Users/therif/Library/Contextual Menu Items/ToastIt.plugin/Contents/MacOS/ToastIt
0x15a60000 - 0x15aceff7  com.apple.Bluetooth 2.1 (2.1f17) <29ab5843bb608c155d4d7353320c2194> /System/Library/Frameworks/IOBluetooth.framework/Versions/A/IOBluetooth
0x162ff000 - 0x16331ffe +com.stuffit.StuffItCM 12.0.1 (12.0.1) /Library/Contextual Menu Items/StuffItCM.plugin/Contents/MacOS/StuffItCM
0x16354000 - 0x1639bfeb +com.stuffit.sdk 12.0.1 (12.0.1) <f75ca13b084b4b83aa7a7b13a7f8cea0> /Library/Frameworks/StuffIt.framework/Versions/B/StuffIt
0x163ff000 - 0x1648afd1 +com.stuffit.stuffitcore 12.0.1 (12.0.1) <b625f52a4e264a51b15c3c7cdb49abb1> /Library/Frameworks/StuffItCore.framework/Versions/A/StuffItCore
0x70000000 - 0x700e3ff2  com.apple.audio.units.Components 1.5.1 (1.5.1) /System/Library/Components/CoreAudio.component/Contents/MacOS/CoreAudio
0x8fe00000 - 0x8fe2da53  dyld 96.2 (???) <7af47d3b00b2268947563c7fa8c59a07> /usr/lib/dyld
0x90003000 - 0x9000dfeb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x9000e000 - 0x90015fff  com.apple.agl 3.0.9 (AGL-3.0.9) <7dac4a7cb0de2f6d08ae71c1249379e3> /System/Library/Frameworks/AGL.framework/Versions/A/AGL
0x90020000 - 0x90027ffe  libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib
0x90028000 - 0x90043ff3  libPng.dylib ??? (???) <c0484bec6e2432b406755591924fe664> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x90044000 - 0x900c3ff5  com.apple.SearchKit 1.2.0 (1.2.0) <277b460da86bc222785159fe77e2e2ed> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x90231000 - 0x90268fff  com.apple.SystemConfiguration 1.9.2 (1.9.2) <8b26ebf26a009a098484f1ed01ec499c> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x90269000 - 0x90319fff  edu.mit.Kerberos 6.0.12 (6.0.12) <1dc515ebe407292db8e603938c72d4e8> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x9031a000 - 0x9032eff3  com.apple.ImageCapture 4.0 (5.0.0) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x9032f000 - 0x90475ff7  com.apple.ImageIO.framework 2.0.2 (2.0.2) <77dfee73f4c0d230425a5151ee0bce05> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x90476000 - 0x904a5fe3  com.apple.AE 402.2 (402.2) <e01596187e91af5d48653920017b8c8e> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x904a6000 - 0x904affff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x904b0000 - 0x904bcfe7  com.apple.opengl 1.5.6 (1.5.6) <125de77ea2434a91364e79a0905a7771> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x904bd000 - 0x90577fe3  com.apple.CoreServices.OSServices 226.3 (226.3) <456bdd65b936baf1ef497b74b4f960a8> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x9057e000 - 0x905f8ff8  com.apple.print.framework.PrintCore 5.5.3 (245.3) <222dade7b33b99708b8c09d1303f93fc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x905f9000 - 0x90a09fef  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x90bc6000 - 0x90bcdff7  libCGATS.A.dylib ??? (???) <9b29a5500efe01cc3adea67bbc42568e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x90bce000 - 0x90c10fef  com.apple.NavigationServices 3.5.2 (163) <91844980804067b07a0b6124310d3f31> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x90c11000 - 0x90c20fff  libsasl2.2.dylib ??? (???) <b9e1ca0b6612e280b6cbea6df0eec5f6> /usr/lib/libsasl2.2.dylib
0x90c21000 - 0x90c29fff  com.apple.DiskArbitration 2.2.1 (2.2.1) <75b0c8d8940a8a27816961dddcac8e0f> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x90c2a000 - 0x90c4aff2  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x90c50000 - 0x90c6eff3  com.apple.DirectoryService.Framework 3.5.3 (3.5.3) <a3277abd826960efb44258699adafc17> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x90c6f000 - 0x90c73fff  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x90c74000 - 0x90c74ffd  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x90c75000 - 0x90cbffe1  com.apple.securityinterface 3.0 (32532) <f521dae416ce7a3bdd594b0d4e2fb517> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x90cc0000 - 0x90cf2fff  com.apple.LDAPFramework 1.4.3 (106) <3a5c9df6032143cd6bc2658a9d328d8e> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x90d10000 - 0x90d4afff  com.apple.coreui 1.1 (61) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x90d4b000 - 0x90d4bff8  com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x90d4c000 - 0x9110afea  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x91200000 - 0x91239ffe  com.apple.securityfoundation 3.0 (32989) <e9171eda22c69c884a04a001aeb526e0> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x9123a000 - 0x9123ffff  com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x91271000 - 0x91287fff  com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x91288000 - 0x9129efe7  com.apple.CoreVideo 1.5.0 (1.5.0) <bad2d3a9a92fdecd02e64f0b73a76f27> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x9137c000 - 0x9139afff  libresolv.9.dylib ??? (???) <0629b6dcd71f4aac6a891cbe26253e85> /usr/lib/libresolv.9.dylib
0x9139b000 - 0x913dcfe7  libRIP.A.dylib ??? (???) <c8d988d3880d7268468112c64c626d86> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x913dd000 - 0x916fdfe2  com.apple.QuickTime 7.4.5 (67) <520cbf4ae05622466ad1b89f1ba3a4e1> /System/Library/Frameworks/QuickTime.framework/Versions/A/QuickTime
0x917c7000 - 0x91994fe7  com.apple.security 5.0.3 (33532) <3bef414f3c6f433e707ac5abee340e16> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x91995000 - 0x91997fff  com.apple.securityhi 3.0 (30817) <2b2854123fed609d1820d2779e2e0963> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x91998000 - 0x919defef  com.apple.Metadata 10.5.2 (398.18) <adbb3a14e8f7da444e16d2fd61862771> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x919df000 - 0x91cb9ff3  com.apple.CoreServices.CarbonCore 786.4 (786.4) <059c4803a7a95e3c1a95a332baeb1edf> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x91d47000 - 0x91dd3ff7  com.apple.LaunchServices 289.2 (289.2) <3577886e3a6d56ee3949850c4fde76c9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x91dd4000 - 0x91df3ffa  libJPEG.dylib ??? (???) <0cfb80109d624beb9ceb3c43b6c5ec10> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x9247b000 - 0x924bafef  libTIFF.dylib ??? (???) <6d0f80e9d4d81f3f64c876aca005bd53> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x9252e000 - 0x925d0ff3  com.apple.QuickTimeImporters.component 7.4.5 (67) /System/Library/QuickTime/QuickTimeImporters.component/Contents/MacOS/QuickTimeImporters
0x925d1000 - 0x925d3fff  com.apple.CrashReporterSupport 10.5.0 (156) <3088b785b10d03504ed02f3fee5d3aab> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
0x925d4000 - 0x9270cff7  libicucore.A.dylib ??? (???) <5031226ea28b371d8dfdbb32acfb48b5> /usr/lib/libicucore.A.dylib
0x9270d000 - 0x92988fe7  com.apple.Foundation 6.5.5 (677.19) <bfd4ebea1a7739dd6b523f15dca01a37> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92989000 - 0x92a68fff  libobjc.A.dylib ??? (???) <a53206274b6c2d42691f677863f379ae> /usr/lib/libobjc.A.dylib
0x92a69000 - 0x92a77ffd  libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib
0x92a78000 - 0x92a90fff  com.apple.openscripting 1.2.6 (???) <b8e553df643f2aec68fa968b3b459b2b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x92b90000 - 0x92b90ffd  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x92b91000 - 0x9322dfff  com.apple.CoreGraphics 1.351.31 (???) <c97a42498636b2596764e48669f98e00> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x9322e000 - 0x9323dffe  com.apple.DSObjCWrappers.Framework 1.2.1 (1.2.1) <eac1c7b7c07ed3148c85934b6f656308> /System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x9323e000 - 0x93266fff  libcups.2.dylib ??? (???) <ece20dff2a2c8ed3ae6ef735ef440c37> /usr/lib/libcups.2.dylib
0x93267000 - 0x93267ffd  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x93274000 - 0x93274ffa  com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x93275000 - 0x9333cff2  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x9333d000 - 0x933a3ffb  com.apple.ISSupport 1.7 (38) /System/Library/PrivateFrameworks/ISSupport.framework/Versions/A/ISSupport
0x933a4000 - 0x933affe7  libCSync.A.dylib ??? (???) <8011fc1963cebdde0c6f101dbee5afd7> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x933b0000 - 0x93443fff  com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x935a1000 - 0x935a2ffc  libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib
0x9380c000 - 0x93839feb  libvDSP.dylib ??? (???) <b232c018ddd040ec4e2c2af632dd497f> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x9383a000 - 0x93840fff  com.apple.print.framework.Print 218.0.2 (220.1) <8bf7ef71216376d12fcd5ec17e43742c> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x93841000 - 0x9387fff7  libGLImage.dylib ??? (???) <093b1b698ca93a0380f5fa262459ea28> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x93880000 - 0x938b6fef  libtidy.A.dylib ??? (???) <f1d1742e06280444baa5637b209fd0af> /usr/lib/libtidy.A.dylib
0x938b7000 - 0x93910ff7  libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x93911000 - 0x9398efef  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x93990000 - 0x93af0ff3  libSystem.B.dylib ??? (???) <a12f397abf2285077b89bd726bff5b18> /usr/lib/libSystem.B.dylib
0x93af1000 - 0x93b7bfe3  com.apple.DesktopServices 1.4.6 (1.4.6) <94d1a28b351b7dff77becadab0967772> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x93bcd000 - 0x93bcdfff  com.apple.Carbon 136 (136) <98a5e3bc0c4fa44bbb09713bb88707fe> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x93bce000 - 0x93bdefff  com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <06d8fc0307314f8ffc16f206ad3dbf44> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x93bdf000 - 0x93c07ff7  com.apple.shortcut 1 (1.0) <057783867138902b52bc0941fedb74d1> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x93c08000 - 0x93d87fff  com.apple.AddressBook.framework 4.1.1 (695) <24a448ba4f9f784189bd3183e3474d81> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x93dc7000 - 0x93e21ff7  com.apple.CoreText 2.0.2 (???) <9fde11f84a72e890bbf2aa8b0b13b79a> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x93e60000 - 0x93e64fff  libGIF.dylib ??? (???) <d4234e6f5e5f530bdafb969157f1f17b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x93eb4000 - 0x93f36ffb  com.apple.CFNetwork 330 (330) <6c5eda16e640b09334809ba4c1df985d> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x93f37000 - 0x94038fef  com.apple.PubSub 1.0.3 (65.1.1) /System/Library/Frameworks/PubSub.framework/Versions/A/PubSub
0x94039000 - 0x9405dfff  libxslt.1.dylib ??? (???) <4933ddc7f6618743197aadc85b33b5ab> /usr/lib/libxslt.1.dylib
0x9405e000 - 0x94061fff  com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x94062000 - 0x940b2ff7  com.apple.HIServices 1.7.0 (???) <f7e78891a6d08265c83dca8e378be1ea> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x940b3000 - 0x940bafe9  libgcc_s.1.dylib ??? (???) <f53c808e87d1184c0f9df63aef53ce0b> /usr/lib/libgcc_s.1.dylib
0x940bb000 - 0x9414eff3  com.apple.ApplicationServices.ATS 3.3 (???) <064eb6d96417afa38a80b1735c4113aa> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9419f000 - 0x94226ff7  libsqlite3.0.dylib ??? (???) <6978bbcca4277d6ae9f042beff643f7d> /usr/lib/libsqlite3.0.dylib
0x942e4000 - 0x943c5ff7  libxml2.2.dylib ??? (???) <1baef3d4972ee789d8fa6c1fa44da45c> /usr/lib/libxml2.2.dylib
0x94434000 - 0x944bffff  com.apple.framework.IOKit 1.5.1 (???) <60cfc4b175c4ef60bb8e9036716a29f4> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x944c0000 - 0x944ebfe7  libauto.dylib ??? (???) <42d8422dc23a18071869fdf7b5d8fab5> /usr/lib/libauto.dylib
0x944fa000 - 0x94cf7fef  com.apple.AppKit 6.5.3 (949.33) <84b236f43802f4c15011513d18efa101> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x94cf8000 - 0x94cfaff5  libRadiance.dylib ??? (???) <20eadb285da83df96c795c2c5fa20590> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x94d0f000 - 0x94d0fff8  com.apple.Cocoa 6.5 (???) <e064f94d969ce25cb7de3cfb980c3249> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x94d10000 - 0x94ddbfff  com.apple.ColorSync 4.5.0 (4.5.0) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x94df4000 - 0x94ed9ff3  com.apple.CoreData 100.1 (186) <8e28162ef2288692615b52acc01f8b54> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x94eda000 - 0x94f36ff7  com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x94f37000 - 0x94f42ff9  com.apple.helpdata 1.0 (14) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x95024000 - 0x950cbfeb  com.apple.QD 3.11.52 (???) <c72bd7bd2ce12694c3640a731d1ad878> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x950cc000 - 0x95462fff  com.apple.QuartzCore 1.5.3 (1.5.3) <1b65c05f89e81a499302fd63295b242d> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x954a7000 - 0x9597affe  libGLProgrammability.dylib ??? (???) <475db64244e011cd8811e076035b2632> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x9597b000 - 0x9597bffc  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x9597c000 - 0x9597cffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x9597d000 - 0x95982fff  com.apple.backup.framework 1.0 (1.0) /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x95990000 - 0x95ac2fff  com.apple.CoreFoundation 6.5.2 (476.13) <b633d15f2901d73670cb1475628df1b3> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x95ac3000 - 0x95b3ffeb  com.apple.audio.CoreAudio 3.1.0 (3.1) <70bb7c657061631491029a61babe0b26> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x95b40000 - 0x95b64feb  libssl.0.9.7.dylib ??? (???) <acee7fc534674498dcac211318aa23e8> /usr/lib/libssl.0.9.7.dylib
0x95b65000 - 0x95e6cff7  com.apple.HIToolbox 1.5.3 (???) <e36f5c553e5a32f64b7eb458dadadc71> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x95e6d000 - 0x95f1fffb  libcrypto.0.9.7.dylib ??? (???) <330b0e48e67faffc8c22dfc069ca7a47> /usr/lib/libcrypto.0.9.7.dylib
0x95f20000 - 0x96fd0ff6  com.apple.QuickTimeComponents.component 7.4.5 (67) /System/Library/QuickTime/QuickTimeComponents.component/Contents/MacOS/QuickTimeComponents
0x970a0000 - 0x970b0ffc  com.apple.LangAnalysis 1.6.4 (1.6.4) <cbeb17ab39f28351fe2ab5b82bf465bc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x970b1000 - 0x9710effb  libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib
0x9710f000 - 0x97233fe3  com.apple.audio.toolbox.AudioToolbox 1.5.1 (1.5.1) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0xba900000 - 0xba916fff  libJapaneseConverter.dylib ??? (???) <7b0248c392848338f5d6ed093313eeef> /System/Library/CoreServices/Encodings/libJapaneseConverter.dylib
0xbab00000 - 0xbab21fe2  libKoreanConverter.dylib ??? (???) <51586b8d9ef39123fbe6918f12d8285f> /System/Library/CoreServices/Encodings/libKoreanConverter.dylib
0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib

Comment 13 Yahya Arrassi 2008-05-30 02:43:03 PDT
Happens on other sites too... I was on my online torrentclient (private) and it crashed before I could even login.

Then it happened again when trying to go on myspace. Headers of the crashreport are the same. but when running a diff command, there's a lot of differences. this is the other one:



Process:         Safari [8680]
Path:            /Applications/WebKit.app/Contents/MacOS/WebKit
Identifier:      org.webkit.nightly.WebKit
Version:         r34257 (34257)
Code Type:       X86 (Native)
Parent Process:  launchd [200]

Date/Time:       2008-05-30 11:37:12.485 +0200
OS Version:      Mac OS X 10.5.3 (9D34)
Report Version:  6

Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x000000000000029c
Crashed Thread:  0

Thread 0 Crashed:
0   com.apple.WebCore             	0x0114d43b WTF::HashTableIterator<WebCore::JSDOMWindow*, WebCore::JSDOMWindow*, WTF::IdentityExtractor<WebCore::JSDOMWindow*>, WTF::PtrHash<WebCore::JSDOMWindow*>, WTF::HashTraits<WebCore::JSDOMWindow*>, WTF::HashTraits<WebCore::JSDOMWindow*> > WTF::HashTable<WebCore::JSDOMWindow*, WebCore::JSDOMWindow*, WTF::IdentityExtractor<WebCore::JSDOMWindow*>, WTF::PtrHash<WebCore::JSDOMWindow*>, WTF::HashTraits<WebCore::JSDOMWindow*>, WTF::HashTraits<WebCore::JSDOMWindow*> >::find<WebCore::JSDOMWindow*, WTF::IdentityHashTranslator<WebCore::JSDOMWindow*, WebCore::JSDOMWindow*, WTF::PtrHash<WebCore::JSDOMWindow*> > >(WebCore::JSDOMWindow* const&) + 11
1   com.apple.WebCore             	0x0119286b WebCore::JSDOMWindowBase::~JSDOMWindowBase() + 91
2   com.apple.JavaScriptCore      	0x003b2508 unsigned long KJS::Collector::sweep<(KJS::Collector::HeapType)0>(bool) + 200
3   com.apple.JavaScriptCore      	0x0031ae18 KJS::Collector::collect() + 440
4   com.apple.WebCore             	0x00d7a0c5 WebCore::GCController::gcTimerFired(WebCore::Timer<WebCore::GCController>*) + 21
5   com.apple.WebCore             	0x00d7a282 WebCore::Timer<WebCore::GCController>::fired() + 82
6   com.apple.WebCore             	0x01102b89 WebCore::TimerBase::fireTimers(double, WTF::Vector<WebCore::TimerBase*, 0ul> const&) + 137
7   com.apple.WebCore             	0x01102c52 WebCore::TimerBase::sharedTimerFired() + 162
8   com.apple.WebCore             	0x010e8344 WebCore::timerFired(__CFRunLoopTimer*, void*) + 68
9   com.apple.CoreFoundation      	0x95a02b3e CFRunLoopRunSpecific + 4494
10  com.apple.CoreFoundation      	0x95a02cf8 CFRunLoopRunInMode + 88
11  com.apple.HIToolbox           	0x95b94da4 RunCurrentEventLoopInMode + 283
12  com.apple.HIToolbox           	0x95b94bbd ReceiveNextEventCommon + 374
13  com.apple.HIToolbox           	0x95b94a31 BlockUntilNextEventMatchingListInMode + 106
14  com.apple.AppKit              	0x9453a505 _DPSNextEvent + 657
15  com.apple.AppKit              	0x94539db8 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 128
16  com.apple.Safari              	0x000086be 0x1000 + 30398
17  com.apple.AppKit              	0x94532df3 -[NSApplication run] + 795
18  com.apple.AppKit              	0x94500030 NSApplicationMain + 574
19  com.apple.Safari              	0x000ba4d6 0x1000 + 758998

Thread 1:
0   libSystem.B.dylib             	0x9399868e __semwait_signal + 10
1   libSystem.B.dylib             	0x939c336d pthread_cond_wait$UNIX2003 + 73
2   com.apple.WebCore             	0x00df192f WebCore::IconDatabase::syncThreadMainLoop() + 239
3   com.apple.WebCore             	0x00df1a45 WebCore::IconDatabase::iconDatabaseSyncThread() + 181
4   libSystem.B.dylib             	0x939c26f5 _pthread_start + 321
5   libSystem.B.dylib             	0x939c25b2 thread_start + 34

Thread 2:
0   libSystem.B.dylib             	0x939914a6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x93998c9c mach_msg + 72
2   com.apple.CoreFoundation      	0x95a020be CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x95a02cf8 CFRunLoopRunInMode + 88
4   com.apple.CFNetwork           	0x93ebfafe CFURLCacheWorkerThread(void*) + 396
5   libSystem.B.dylib             	0x939c26f5 _pthread_start + 321
6   libSystem.B.dylib             	0x939c25b2 thread_start + 34

Thread 3:
0   libSystem.B.dylib             	0x939914a6 mach_msg_trap + 10
1   libSystem.B.dylib             	0x93998c9c mach_msg + 72
2   com.apple.CoreFoundation      	0x95a020be CFRunLoopRunSpecific + 1806
3   com.apple.CoreFoundation      	0x95a02cf8 CFRunLoopRunInMode + 88
4   com.apple.Foundation          	0x9277b460 +[NSURLConnection(NSURLConnectionReallyInternal) _resourceLoadLoop:] + 320
5   com.apple.Foundation          	0x92717f1d -[NSThread main] + 45
6   com.apple.Foundation          	0x92717ac4 __NSThread__main__ + 308
7   libSystem.B.dylib             	0x939c26f5 _pthread_start + 321
8   libSystem.B.dylib             	0x939c25b2 thread_start + 34

Thread 4:
0   libSystem.B.dylib             	0x939e15e2 select$DARWIN_EXTSN + 10
1   libSystem.B.dylib             	0x939c26f5 _pthread_start + 321
2   libSystem.B.dylib             	0x939c25b2 thread_start + 34

Thread 0 crashed with X86 Thread State (32-bit):
  eax: 0x0000029c  ebx: 0x0119281b  ecx: 0x00e4e865  edx: 0x0000029c
  edi: 0x00000001  esi: 0x00000298  ebp: 0xbfffe778  esp: 0xbfffe764
   ss: 0x0000001f  efl: 0x00010292  eip: 0x0114d43b   cs: 0x00000017
   ds: 0x0000001f   es: 0x0000001f   fs: 0x00000000   gs: 0x00000037
  cr2: 0x0000029c

Binary Images:
    0x1000 -   0x133fef  com.apple.Safari 3.1.1 (5525.20) <4869cc1f3ee39145836097e9470d9036> /Applications/Safari.app/Contents/MacOS/Safari
  0x187000 -   0x188ffc +WebKitNightlyEnabler.dylib ??? (???) /Applications/WebKit.app/Contents/Resources/WebKitNightlyEnabler.dylib
  0x18d000 -   0x257fef  com.apple.WebKit 527+ (527+) /Applications/WebKit.app/Contents/Frameworks/10.5/WebKit.framework/Versions/A/WebKit
  0x2ec000 -   0x2fbff8  SyndicationUI ??? (???) <edde0133829971dbd8a0f3473cdb85fc> /System/Library/PrivateFrameworks/SyndicationUI.framework/Versions/A/SyndicationUI
  0x30b000 -   0x401ff7  com.apple.JavaScriptCore 527+ (527+) /Applications/WebKit.app/Contents/Frameworks/10.5/JavaScriptCore.framework/Versions/A/JavaScriptCore
  0x47b000 -   0x486fff +com.rogueamoeba.audio_hijack_server.hermes 2.0.3 (2.0.3) /usr/local/hermes/modules/Instant Hijack Server.hermesmodule/Contents/MacOS/Instant Hijack Server
  0xbca000 -  0x1316fff  com.apple.WebCore 527+ (527+) /Applications/WebKit.app/Contents/Frameworks/10.5/WebCore.framework/Versions/A/WebCore
 0xaac3000 -  0xabcdfef  com.apple.RawCamera.bundle 2.0.5 (2.0.5) /System/Library/CoreServices/RawCamera.bundle/Contents/MacOS/RawCamera
 0xbc02000 -  0xbc07ff3  libCGXCoreImage.A.dylib ??? (???) <32265ec157db98a33c5dcf0e6687dec2> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGXCoreImage.A.dylib
0x1110d000 - 0x1110dffe  com.apple.JavaPluginCocoa 12.0.0 (12.0.0) <02a9f23a8bfc902c32ac0adfb66d6816> /Library/Internet Plug-Ins/JavaPluginCocoa.bundle/Contents/MacOS/JavaPluginCocoa
0x11113000 - 0x1111affd  com.apple.JavaVM 12.0.2 (12.0.2) <44b9536fe4d7c7fcb3506adb695a180f> /System/Library/Frameworks/JavaVM.framework/Versions/A/JavaVM
0x111db000 - 0x111ecffe  com.apple.security.dotmacdl 2.0 (29745) <5689f0ee5b2a52aa64f3072adfe628ac> /System/Library/Security/dotmacdl.bundle/Contents/MacOS/dotmacdl
0x11234000 - 0x11243ffe  com.apple.security.ldapdl 2.0 (30174) <bc3846986e1cab7f4f70a66d8a452ba3> /System/Library/Security/ldapdl.bundle/Contents/MacOS/ldapdl
0x8fe00000 - 0x8fe2da53  dyld 96.2 (???) <7af47d3b00b2268947563c7fa8c59a07> /usr/lib/dyld
0x90003000 - 0x9000dfeb  com.apple.audio.SoundManager 3.9.2 (3.9.2) <0f2ba6e891d3761212cf5a5e6134d683> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CarbonSound.framework/Versions/A/CarbonSound
0x90020000 - 0x90027ffe  libbsm.dylib ??? (???) <d25c63378a5029648ffd4b4669be31bf> /usr/lib/libbsm.dylib
0x90028000 - 0x90043ff3  libPng.dylib ??? (???) <c0484bec6e2432b406755591924fe664> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libPng.dylib
0x90044000 - 0x900c3ff5  com.apple.SearchKit 1.2.0 (1.2.0) <277b460da86bc222785159fe77e2e2ed> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
0x90231000 - 0x90268fff  com.apple.SystemConfiguration 1.9.2 (1.9.2) <8b26ebf26a009a098484f1ed01ec499c> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
0x90269000 - 0x90319fff  edu.mit.Kerberos 6.0.12 (6.0.12) <1dc515ebe407292db8e603938c72d4e8> /System/Library/Frameworks/Kerberos.framework/Versions/A/Kerberos
0x9031a000 - 0x9032eff3  com.apple.ImageCapture 4.0 (5.0.0) /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/ImageCapture.framework/Versions/A/ImageCapture
0x9032f000 - 0x90475ff7  com.apple.ImageIO.framework 2.0.2 (2.0.2) <77dfee73f4c0d230425a5151ee0bce05> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/ImageIO
0x90476000 - 0x904a5fe3  com.apple.AE 402.2 (402.2) <e01596187e91af5d48653920017b8c8e> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
0x904a6000 - 0x904affff  com.apple.speech.recognition.framework 3.7.24 (3.7.24) <d3180f9edbd9a5e6f283d6156aa3c602> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SpeechRecognition.framework/Versions/A/SpeechRecognition
0x904b0000 - 0x904bcfe7  com.apple.opengl 1.5.6 (1.5.6) <125de77ea2434a91364e79a0905a7771> /System/Library/Frameworks/OpenGL.framework/Versions/A/OpenGL
0x904bd000 - 0x90577fe3  com.apple.CoreServices.OSServices 226.3 (226.3) <456bdd65b936baf1ef497b74b4f960a8> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
0x9057e000 - 0x905f8ff8  com.apple.print.framework.PrintCore 5.5.3 (245.3) <222dade7b33b99708b8c09d1303f93fc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/PrintCore.framework/Versions/A/PrintCore
0x905f9000 - 0x90a09fef  libBLAS.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
0x90bc6000 - 0x90bcdff7  libCGATS.A.dylib ??? (???) <9b29a5500efe01cc3adea67bbc42568e> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCGATS.A.dylib
0x90bce000 - 0x90c10fef  com.apple.NavigationServices 3.5.2 (163) <91844980804067b07a0b6124310d3f31> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/NavigationServices.framework/Versions/A/NavigationServices
0x90c11000 - 0x90c20fff  libsasl2.2.dylib ??? (???) <b9e1ca0b6612e280b6cbea6df0eec5f6> /usr/lib/libsasl2.2.dylib
0x90c21000 - 0x90c29fff  com.apple.DiskArbitration 2.2.1 (2.2.1) <75b0c8d8940a8a27816961dddcac8e0f> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
0x90c2a000 - 0x90c4aff2  libGL.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGL.dylib
0x90c50000 - 0x90c6eff3  com.apple.DirectoryService.Framework 3.5.3 (3.5.3) <a3277abd826960efb44258699adafc17> /System/Library/Frameworks/DirectoryService.framework/Versions/A/DirectoryService
0x90c6f000 - 0x90c73fff  libmathCommon.A.dylib ??? (???) /usr/lib/system/libmathCommon.A.dylib
0x90c74000 - 0x90c74ffd  com.apple.Accelerate.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
0x90c75000 - 0x90cbffe1  com.apple.securityinterface 3.0 (32532) <f521dae416ce7a3bdd594b0d4e2fb517> /System/Library/Frameworks/SecurityInterface.framework/Versions/A/SecurityInterface
0x90cc0000 - 0x90cf2fff  com.apple.LDAPFramework 1.4.3 (106) <3a5c9df6032143cd6bc2658a9d328d8e> /System/Library/Frameworks/LDAP.framework/Versions/A/LDAP
0x90d10000 - 0x90d4afff  com.apple.coreui 1.1 (61) /System/Library/PrivateFrameworks/CoreUI.framework/Versions/A/CoreUI
0x90d4b000 - 0x90d4bff8  com.apple.ApplicationServices 34 (34) <8f910fa65f01d401ad8d04cc933cf887> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/ApplicationServices
0x90d4c000 - 0x9110afea  libLAPACK.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
0x91200000 - 0x91239ffe  com.apple.securityfoundation 3.0 (32989) <e9171eda22c69c884a04a001aeb526e0> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
0x9123a000 - 0x9123ffff  com.apple.CommonPanels 1.2.4 (85) <ea0665f57cd267609466ed8b2b20e893> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/CommonPanels.framework/Versions/A/CommonPanels
0x91271000 - 0x91287fff  com.apple.DictionaryServices 1.0.0 (1.0.0) <ad0aa0252e3323d182e17f50defe56fc> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
0x91288000 - 0x9129efe7  com.apple.CoreVideo 1.5.0 (1.5.0) <bad2d3a9a92fdecd02e64f0b73a76f27> /System/Library/Frameworks/CoreVideo.framework/Versions/A/CoreVideo
0x9137c000 - 0x9139afff  libresolv.9.dylib ??? (???) <0629b6dcd71f4aac6a891cbe26253e85> /usr/lib/libresolv.9.dylib
0x9139b000 - 0x913dcfe7  libRIP.A.dylib ??? (???) <c8d988d3880d7268468112c64c626d86> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libRIP.A.dylib
0x917c7000 - 0x91994fe7  com.apple.security 5.0.3 (33532) <3bef414f3c6f433e707ac5abee340e16> /System/Library/Frameworks/Security.framework/Versions/A/Security
0x91995000 - 0x91997fff  com.apple.securityhi 3.0 (30817) <2b2854123fed609d1820d2779e2e0963> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/SecurityHI.framework/Versions/A/SecurityHI
0x91998000 - 0x919defef  com.apple.Metadata 10.5.2 (398.18) <adbb3a14e8f7da444e16d2fd61862771> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
0x919df000 - 0x91cb9ff3  com.apple.CoreServices.CarbonCore 786.4 (786.4) <059c4803a7a95e3c1a95a332baeb1edf> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
0x91d47000 - 0x91dd3ff7  com.apple.LaunchServices 289.2 (289.2) <3577886e3a6d56ee3949850c4fde76c9> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
0x91dd4000 - 0x91df3ffa  libJPEG.dylib ??? (???) <0cfb80109d624beb9ceb3c43b6c5ec10> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libJPEG.dylib
0x9247b000 - 0x924bafef  libTIFF.dylib ??? (???) <6d0f80e9d4d81f3f64c876aca005bd53> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libTIFF.dylib
0x925d1000 - 0x925d3fff  com.apple.CrashReporterSupport 10.5.0 (156) <3088b785b10d03504ed02f3fee5d3aab> /System/Library/PrivateFrameworks/CrashReporterSupport.framework/Versions/A/CrashReporterSupport
0x925d4000 - 0x9270cff7  libicucore.A.dylib ??? (???) <5031226ea28b371d8dfdbb32acfb48b5> /usr/lib/libicucore.A.dylib
0x9270d000 - 0x92988fe7  com.apple.Foundation 6.5.5 (677.19) <bfd4ebea1a7739dd6b523f15dca01a37> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
0x92989000 - 0x92a68fff  libobjc.A.dylib ??? (???) <a53206274b6c2d42691f677863f379ae> /usr/lib/libobjc.A.dylib
0x92a69000 - 0x92a77ffd  libz.1.dylib ??? (???) <5ddd8539ae2ebfd8e7cc1c57525385c7> /usr/lib/libz.1.dylib
0x92a78000 - 0x92a90fff  com.apple.openscripting 1.2.6 (???) <b8e553df643f2aec68fa968b3b459b2b> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/OpenScripting.framework/Versions/A/OpenScripting
0x92b90000 - 0x92b90ffd  com.apple.Accelerate 1.4.2 (Accelerate 1.4.2) /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
0x92b91000 - 0x9322dfff  com.apple.CoreGraphics 1.351.31 (???) <c97a42498636b2596764e48669f98e00> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/CoreGraphics
0x9322e000 - 0x9323dffe  com.apple.DSObjCWrappers.Framework 1.2.1 (1.2.1) <eac1c7b7c07ed3148c85934b6f656308> /System/Library/PrivateFrameworks/DSObjCWrappers.framework/Versions/A/DSObjCWrappers
0x9323e000 - 0x93266fff  libcups.2.dylib ??? (???) <ece20dff2a2c8ed3ae6ef735ef440c37> /usr/lib/libcups.2.dylib
0x93267000 - 0x93267ffd  com.apple.vecLib 3.4.2 (vecLib 3.4.2) /System/Library/Frameworks/vecLib.framework/Versions/A/vecLib
0x93274000 - 0x93274ffa  com.apple.CoreServices 32 (32) <2fcc8f3bd5bbfc000b476cad8e6a3dd2> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
0x93275000 - 0x9333cff2  com.apple.vImage 3.0 (3.0) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
0x9333d000 - 0x933a3ffb  com.apple.ISSupport 1.7 (38) /System/Library/PrivateFrameworks/ISSupport.framework/Versions/A/ISSupport
0x933a4000 - 0x933affe7  libCSync.A.dylib ??? (???) <8011fc1963cebdde0c6f101dbee5afd7> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreGraphics.framework/Versions/A/Resources/libCSync.A.dylib
0x933b0000 - 0x93443fff  com.apple.ink.framework 101.3 (86) <bf3fa8927b4b8baae92381a976fd2079> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Ink.framework/Versions/A/Ink
0x935a1000 - 0x935a2ffc  libffi.dylib ??? (???) <a3b573eb950ca583290f7b2b4c486d09> /usr/lib/libffi.dylib
0x9380c000 - 0x93839feb  libvDSP.dylib ??? (???) <b232c018ddd040ec4e2c2af632dd497f> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
0x9383a000 - 0x93840fff  com.apple.print.framework.Print 218.0.2 (220.1) <8bf7ef71216376d12fcd5ec17e43742c> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Print.framework/Versions/A/Print
0x93841000 - 0x9387fff7  libGLImage.dylib ??? (???) <093b1b698ca93a0380f5fa262459ea28> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLImage.dylib
0x93880000 - 0x938b6fef  libtidy.A.dylib ??? (???) <f1d1742e06280444baa5637b209fd0af> /usr/lib/libtidy.A.dylib
0x938b7000 - 0x93910ff7  libGLU.dylib ??? (???) /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLU.dylib
0x93911000 - 0x9398efef  libvMisc.dylib ??? (???) /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
0x93990000 - 0x93af0ff3  libSystem.B.dylib ??? (???) <a12f397abf2285077b89bd726bff5b18> /usr/lib/libSystem.B.dylib
0x93af1000 - 0x93b7bfe3  com.apple.DesktopServices 1.4.6 (1.4.6) <94d1a28b351b7dff77becadab0967772> /System/Library/PrivateFrameworks/DesktopServicesPriv.framework/Versions/A/DesktopServicesPriv
0x93bcd000 - 0x93bcdfff  com.apple.Carbon 136 (136) <98a5e3bc0c4fa44bbb09713bb88707fe> /System/Library/Frameworks/Carbon.framework/Versions/A/Carbon
0x93bce000 - 0x93bdefff  com.apple.speech.synthesis.framework 3.7.1 (3.7.1) <06d8fc0307314f8ffc16f206ad3dbf44> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/SpeechSynthesis.framework/Versions/A/SpeechSynthesis
0x93bdf000 - 0x93c07ff7  com.apple.shortcut 1 (1.0) <057783867138902b52bc0941fedb74d1> /System/Library/PrivateFrameworks/Shortcut.framework/Versions/A/Shortcut
0x93c08000 - 0x93d87fff  com.apple.AddressBook.framework 4.1.1 (695) <24a448ba4f9f784189bd3183e3474d81> /System/Library/Frameworks/AddressBook.framework/Versions/A/AddressBook
0x93dc7000 - 0x93e21ff7  com.apple.CoreText 2.0.2 (???) <9fde11f84a72e890bbf2aa8b0b13b79a> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/CoreText.framework/Versions/A/CoreText
0x93e60000 - 0x93e64fff  libGIF.dylib ??? (???) <d4234e6f5e5f530bdafb969157f1f17b> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libGIF.dylib
0x93eb4000 - 0x93f36ffb  com.apple.CFNetwork 330 (330) <6c5eda16e640b09334809ba4c1df985d> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
0x93f37000 - 0x94038fef  com.apple.PubSub 1.0.3 (65.1.1) /System/Library/Frameworks/PubSub.framework/Versions/A/PubSub
0x94039000 - 0x9405dfff  libxslt.1.dylib ??? (???) <4933ddc7f6618743197aadc85b33b5ab> /usr/lib/libxslt.1.dylib
0x9405e000 - 0x94061fff  com.apple.help 1.1 (36) <b507b08e484cb89033e9cf23062d77de> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/Help.framework/Versions/A/Help
0x94062000 - 0x940b2ff7  com.apple.HIServices 1.7.0 (???) <f7e78891a6d08265c83dca8e378be1ea> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/HIServices.framework/Versions/A/HIServices
0x940b3000 - 0x940bafe9  libgcc_s.1.dylib ??? (???) <f53c808e87d1184c0f9df63aef53ce0b> /usr/lib/libgcc_s.1.dylib
0x940bb000 - 0x9414eff3  com.apple.ApplicationServices.ATS 3.3 (???) <064eb6d96417afa38a80b1735c4113aa> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ATS.framework/Versions/A/ATS
0x9419f000 - 0x94226ff7  libsqlite3.0.dylib ??? (???) <6978bbcca4277d6ae9f042beff643f7d> /usr/lib/libsqlite3.0.dylib
0x942e4000 - 0x943c5ff7  libxml2.2.dylib ??? (???) <1baef3d4972ee789d8fa6c1fa44da45c> /usr/lib/libxml2.2.dylib
0x94434000 - 0x944bffff  com.apple.framework.IOKit 1.5.1 (???) <60cfc4b175c4ef60bb8e9036716a29f4> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
0x944c0000 - 0x944ebfe7  libauto.dylib ??? (???) <42d8422dc23a18071869fdf7b5d8fab5> /usr/lib/libauto.dylib
0x944fa000 - 0x94cf7fef  com.apple.AppKit 6.5.3 (949.33) <84b236f43802f4c15011513d18efa101> /System/Library/Frameworks/AppKit.framework/Versions/C/AppKit
0x94cf8000 - 0x94cfaff5  libRadiance.dylib ??? (???) <20eadb285da83df96c795c2c5fa20590> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ImageIO.framework/Versions/A/Resources/libRadiance.dylib
0x94d0f000 - 0x94d0fff8  com.apple.Cocoa 6.5 (???) <e064f94d969ce25cb7de3cfb980c3249> /System/Library/Frameworks/Cocoa.framework/Versions/A/Cocoa
0x94d10000 - 0x94ddbfff  com.apple.ColorSync 4.5.0 (4.5.0) /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/ColorSync.framework/Versions/A/ColorSync
0x94df4000 - 0x94ed9ff3  com.apple.CoreData 100.1 (186) <8e28162ef2288692615b52acc01f8b54> /System/Library/Frameworks/CoreData.framework/Versions/A/CoreData
0x94eda000 - 0x94f36ff7  com.apple.htmlrendering 68 (1.1.3) <fe87a9dede38db00e6c8949942c6bd4f> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HTMLRendering.framework/Versions/A/HTMLRendering
0x94f37000 - 0x94f42ff9  com.apple.helpdata 1.0 (14) /System/Library/PrivateFrameworks/HelpData.framework/Versions/A/HelpData
0x95024000 - 0x950cbfeb  com.apple.QD 3.11.52 (???) <c72bd7bd2ce12694c3640a731d1ad878> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/QD.framework/Versions/A/QD
0x950cc000 - 0x95462fff  com.apple.QuartzCore 1.5.3 (1.5.3) <1b65c05f89e81a499302fd63295b242d> /System/Library/Frameworks/QuartzCore.framework/Versions/A/QuartzCore
0x954a7000 - 0x9597affe  libGLProgrammability.dylib ??? (???) <475db64244e011cd8811e076035b2632> /System/Library/Frameworks/OpenGL.framework/Versions/A/Libraries/libGLProgrammability.dylib
0x9597b000 - 0x9597bffc  com.apple.audio.units.AudioUnit 1.5 (1.5) /System/Library/Frameworks/AudioUnit.framework/Versions/A/AudioUnit
0x9597c000 - 0x9597cffb  com.apple.installserver.framework 1.0 (8) /System/Library/PrivateFrameworks/InstallServer.framework/Versions/A/InstallServer
0x9597d000 - 0x95982fff  com.apple.backup.framework 1.0 (1.0) /System/Library/PrivateFrameworks/Backup.framework/Versions/A/Backup
0x95990000 - 0x95ac2fff  com.apple.CoreFoundation 6.5.2 (476.13) <b633d15f2901d73670cb1475628df1b3> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
0x95ac3000 - 0x95b3ffeb  com.apple.audio.CoreAudio 3.1.0 (3.1) <70bb7c657061631491029a61babe0b26> /System/Library/Frameworks/CoreAudio.framework/Versions/A/CoreAudio
0x95b40000 - 0x95b64feb  libssl.0.9.7.dylib ??? (???) <acee7fc534674498dcac211318aa23e8> /usr/lib/libssl.0.9.7.dylib
0x95b65000 - 0x95e6cff7  com.apple.HIToolbox 1.5.3 (???) <e36f5c553e5a32f64b7eb458dadadc71> /System/Library/Frameworks/Carbon.framework/Versions/A/Frameworks/HIToolbox.framework/Versions/A/HIToolbox
0x95e6d000 - 0x95f1fffb  libcrypto.0.9.7.dylib ??? (???) <330b0e48e67faffc8c22dfc069ca7a47> /usr/lib/libcrypto.0.9.7.dylib
0x970a0000 - 0x970b0ffc  com.apple.LangAnalysis 1.6.4 (1.6.4) <cbeb17ab39f28351fe2ab5b82bf465bc> /System/Library/Frameworks/ApplicationServices.framework/Versions/A/Frameworks/LangAnalysis.framework/Versions/A/LangAnalysis
0x970b1000 - 0x9710effb  libstdc++.6.dylib ??? (???) <04b812dcec670daa8b7d2852ab14be60> /usr/lib/libstdc++.6.dylib
0x9710f000 - 0x97233fe3  com.apple.audio.toolbox.AudioToolbox 1.5.1 (1.5.1) /System/Library/Frameworks/AudioToolbox.framework/Versions/A/AudioToolbox
0xfffe8000 - 0xfffebfff  libobjc.A.dylib ??? (???) /usr/lib/libobjc.A.dylib
0xffff0000 - 0xffff1780  libSystem.B.dylib ??? (???) /usr/lib/libSystem.B.dylib

Comment 14 Geoffrey Sneddon [:gsnedders] 2008-05-30 05:38:53 PDT
Yeah, it certainly still exists in trunk on 10.5.3 when doing things on Facebook.
Comment 15 Mark Rowe (bdash) 2008-05-30 10:35:11 PDT
Maciej reverted his speculative fix for this (r34257) as it was causing even more crashes than before: bug 19318.
Comment 16 Mark Rowe (bdash) 2008-05-30 10:36:07 PDT
In the future, can people *please* add crash reports as attachments!  Pasting them inline makes it very hard to pick out actual discussion about the issue.
Comment 17 Mark Rowe (bdash) 2008-05-30 15:45:00 PDT
*** Bug 19330 has been marked as a duplicate of this bug. ***
Comment 18 Mark Rowe (bdash) 2008-05-30 15:45:49 PDT
Comment on attachment 21426 [details]
speculative (but likely) fix

Clearing review flag as this patch was rolled out.
Comment 19 Maciej Stachowiak 2008-05-30 21:42:42 PDT
Created attachment 21450 [details]
a more thorough fix
Comment 20 Oliver Hunt 2008-05-30 22:34:32 PDT
Comment on attachment 21450 [details]
a more thorough fix

whoops, r=me :D
Comment 21 Alexey Proskuryakov 2008-05-31 04:33:28 PDT
This was landed in r34271.